Get Helm Chart Default Values Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/helm/charts/chart/{repository_name}/{chart_name}/{chart_version}/values"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/helm/charts/chart/{repository_name}/{chart_name}/{chart_version}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/helm/charts/chart/{repository_name}/{chart_name}/{chart_version}/values \
--header 'Authorization: Bearer <token>'{
"values_base64": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Helm API
Get Helm Chart Default Values Endpoint
GET
/
api
/
v1
/
org
/
helm
/
charts
/
chart
/
{repository_name}
/
{chart_name}
/
{chart_version}
/
values
Get Helm Chart Default Values Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/helm/charts/chart/{repository_name}/{chart_name}/{chart_version}/values"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/helm/charts/chart/{repository_name}/{chart_name}/{chart_version}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/helm/charts/chart/{repository_name}/{chart_name}/{chart_version}/values \
--header 'Authorization: Bearer <token>'{
"values_base64": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Maximum string length:
253Maximum string length:
253Maximum string length:
128Response
Successful Response